be.ehealth.businessconnector.genins.session.impl

## Class GenInsServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.genins.session.impl.GenInsServiceImpl

- All Implemented Interfaces:
    GenInsService

      public class GenInsServiceImpl
      extends Object
      implements GenInsService

  Implementation of `GenInsService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenInsServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetInsurabilityResponse` | `getInsurability(GetInsurabilityAsXmlOrFlatRequestType request)` Method which call the web service getInsurability
    `GetInsurabilityAsFlatResponse` | `getInsurabilityAsFlat(GetInsurabilityAsXmlOrFlatRequestType request)` Method which call the web service getInsurabilityAsFlat

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenInsServiceImpl

          public GenInsServiceImpl()

  - ### Method Detail

    - #### getInsurabilityAsFlat

          public GetInsurabilityAsFlatResponse getInsurabilityAsFlat(GetInsurabilityAsXmlOrFlatRequestType request)
                                                              throws GenInsBusinessConnectorException,
                                                                     TechnicalConnectorException,
                                                                     SessionManagementException

      Description copied from interface: `GenInsService`
      Method which call the web service getInsurabilityAsFlat
      Specified by:
        `getInsurabilityAsFlat` in interface `GenInsService`
      Returns:
        GetInsurabilityResponse object
      Throws:
        `GenInsBusinessConnectorException`
        `TechnicalConnectorException` - the malformed url exception
        `SessionManagementException`
      See Also:
        `be.ehealth.businessconnector.genins.service.GenInsService#getInsurabilityAsFlat(be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType)`

    - #### getInsurability

          public GetInsurabilityResponse getInsurability(GetInsurabilityAsXmlOrFlatRequestType request)
                                                  throws GenInsBusinessConnectorException,
                                                         TechnicalConnectorException,
                                                         SessionManagementException

      Description copied from interface: `GenInsService`
      Method which call the web service getInsurability
      Specified by:
        `getInsurability` in interface `GenInsService`
      Returns:
        GetInsurabilityResponse object
      Throws:
        `GenInsBusinessConnectorException`
        `TechnicalConnectorException` - the malformed url exception
        `SessionManagementException`
      See Also:
        `be.ehealth.businessconnector.genins.service.GenInsService#getInsurability(be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType)`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.